diff --git a/changelog b/changelog
index d76dbd5..bc7b5dd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20120326 tpd src/axiom-website/patches.html 20120326.02.tpd.patch
+20120326 tpd src/algebra/Makefile fix clique1, clique2
 20120326 tpd src/axiom-website/patches.html 20120326.01.tpd.patch
 20120326 tpd books/Makefile add bookvol8.1
 20120325 tpd src/axiom-website/patches.html 20120325.01.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index caff50f..f0fffef 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -16965,13 +16965,14 @@ So the idea to remove the BOOTSTRAP code is to cluster the spad
 sources into "cliqueN.spad" files and feed them all to the compiler
 at once.
 <<newcode>>=
-CLIQUE1FILES = ${IN}/MYUP.spad ${IN}/MYEXPR.spad
+CLIQUE1FILES = ${OUT}/MYUP.o ${OUT}/MYEXPR.o
 
 ${MID}/clique1.spad: ${CLIQUE1FILES}
 	@echo cl1 making ${OUT}/MYUP.o from ${MID}/clique1.spad
 	@echo cl1 making ${OUT}/MYEXPR.o from ${MID}/clique1.spad
 	@ (cd ${MID} ; \
-	   cat ${CLIQUE1FILES} >clique1.spad ; \
+	   cat ${IN}/MYUP.spad >clique1.spad ; \
+	   cat ${IN}/MYEXPR.spad >>clique1.spad ; \
 	   if [ -z "${NOISE}" ] ; then \
 	    echo ")co clique1.spad" | ${INTERPSYS}  ; \
            else \
@@ -16986,7 +16987,7 @@ PAFF and PAFFFF both have to be compiled together. They also have a set
 of prerequired files that must be loaded since they are not yet in the
 new database.
 <<newcode>>=
-CLIQUE2FILES = ${IN}/PAFF.spad ${IN}/PAFFFF.spad
+CLIQUE2FILES = ${OUT}/PAFF.o ${OUT}/PAFFFF.o
 CLIQUE2DEPS  = BLMETCT GPAFF PFORP PACOFF PROJPLPS PLACESPS NSDPS LOCPOWC \
                DIV SETCATD PLACESC DIVCAT INFCLSPS INFCLCT DSTREE DSTRCAT \
                PRSPCAT UTSZ PACFFC PACPERC PROJPL PLACES INFCLSPT PROJPL ICP
@@ -16995,7 +16996,8 @@ ${MID}/clique2.spad: ${CLIQUE2FILES}
 	@echo cl1 making ${OUT}/PAFF.o from ${MID}/clique2.spad
 	@echo cl1 making ${OUT}/PAFFFF.o from ${MID}/clique2.spad
 	@ (cd ${MID} ; \
-	   cat ${CLIQUE2FILES} >clique2.spad ; \
+	   cat ${IN}/PAFF.spad >clique2.spad ; \
+	   cat ${IN}/PAFFFF.spad >>clique2.spad ; \
 	   if [ -z "${NOISE}" ] ; then \
 	    echo -e ")lib ${CLIQUE2DEPS} \n )co clique2.spad" \
               | ${INTERPSYS} ; \
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0e152b4..e16307e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3852,5 +3852,7 @@ books/bookvol10.4 add getAncestors function to API domain<br/>
 books/bookvol10.3,4,5 fix 7217<br/>
 <a href="patches/20120326.01.tpd.patch">20120326.01.tpd.patch</a>
 books/Makefile add bookvol8.1<br/>
+<a href="patches/20120326.02.tpd.patch">20120326.02.tpd.patch</a>
+src/algebra/Makefile fix clique1, clique2<br/>
  </body>
 </html>
